org.apache.lucene.analysis.opennlp.tools

## Class NLPPOSTaggerOp

- java.lang.Object
- - org.apache.lucene.analysis.opennlp.tools.NLPPOSTaggerOp

    public class NLPPOSTaggerOp
    extends Object

Supply OpenNLP Parts-Of-Speech Tagging tool Requires binary models from OpenNLP project on SourceForge.

### Constructor Summary

Constructors
Constructor and Description
`NLPPOSTaggerOp(opennlp.tools.postag.POSModel model)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getPOSTags(String[] words)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NLPPOSTaggerOp

    public NLPPOSTaggerOp(opennlp.tools.postag.POSModel model)
                   throws IOException

Throws:
  `IOException`

### Method Detail

#### getPOSTags

    public String[] getPOSTags(String[] words)